Package com.sas.lsaf.core.type

## Class TypeDescriptor

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.core.type.TypeDescriptor

- All Implemented Interfaces:
    `Identifiable`, `java.io.Serializable`
  Direct Known Subclasses:
    `Type`

      public class TypeDescriptor
      extends AbstractIdentifiable

  The lightweight representation of an object type definition defined within the system. A descriptor is suitable for lightweight access and listing operations. To work with a fully hydrated type, use `Type`.
  Since:
    2.1
  See Also:
    `Type`, `TypeService`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TypeDescriptor​(java.lang.String id, java.lang.String name, java.lang.String description, boolean contextType, boolean folderType, boolean sharedFolderType, boolean fileType)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getDescription()` | Gets the description of the type.
    `java.lang.String` | `getName()` | Gets the display name of the type.
    `int` | `hashCode()` |
    `boolean` | `isContextType()` | Indicates whether the type is a context container type.
    `boolean` | `isFileType()` | Indicates whether the type is a file type.
    `boolean` | `isFolderType()` | Indicate whether the type is a folder type.
    `boolean` | `isSharedFolderType()` | Indicate whether the type is a shared folder type.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `getId, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeDescriptor

          public TypeDescriptor​(java.lang.String id,
                                java.lang.String name,
                                java.lang.String description,
                                boolean contextType,
                                boolean folderType,
                                boolean sharedFolderType,
                                boolean fileType)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the type descriptors returned by the API.
      Parameters:
        `id` - the unique identifier of the type.
        `name` - the display name of the type.
        `description` - the description of the type.
        `contextType` - indicates whether the type is a context.
        `folderType` - indicates whether the type is a folder.
        `sharedFolderType` - indicates whether the type is a shared folder.
        `fileType` - indicates whether the type is a file.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Gets the display name of the type.
      Returns:
        The display name of the type.

    - #### getDescription

          public java.lang.String getDescription()

      Gets the description of the type.
      Returns:
        The description of the type.

    - #### isContextType

          public boolean isContextType()

      Indicates whether the type is a context container type.
      Returns:
        `True` if the type is a context container type, `False` otherwise.

    - #### isFolderType

          public boolean isFolderType()

      Indicate whether the type is a folder type.
      Returns:
        `True` if the type is a folder type, `False` otherwise.

    - #### isSharedFolderType

          public boolean isSharedFolderType()

      Indicate whether the type is a shared folder type.
      Returns:
        `True` if the type is a shared folder type, `False` otherwise.

    - #### isFileType

          public boolean isFileType()

      Indicates whether the type is a file type.
      Returns:
        `True` if thes type is a file type, `False` otherwise.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractIdentifiable`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `AbstractIdentifiable`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AbstractIdentifiable`